#include "common/network/toserver/ControllerPacket.h"
#include "common/network/Packets.h"

ControllerPacket::ControllerPacket() : flags(0) {
}

void ControllerPacket::set(Type type) {
    flags |= (1 << type);
}

bool ControllerPacket::has(Type type) const {
    return flags & (1 << type);
}

void ControllerPacket::write(OutPacket& out) const {
    out.writeU16(Packets::C_CONTROLLER);
    out.writeU32(flags);
}

bool ControllerPacket::read(InPacket& in) {
    return in.readU32(flags);
}

int ControllerPacket::getSize() {
    return sizeof(ControllerPacket) + 2;
}